> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kollie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Base

> Get a specific knowledge base by ID.

# Get Knowledge Base

This endpoint retrieves a specific knowledge base by its ID.

## Request

### Headers

| Name          | Type   | Required | Description                     |
| ------------- | ------ | -------- | ------------------------------- |
| Authorization | string | Yes      | Bearer token for authentication |

### Path Parameters

| Name   | Type   | Required | Description                              |
| ------ | ------ | -------- | ---------------------------------------- |
| kb\_id | string | Yes      | The ID of the knowledge base to retrieve |

## Response

### 200 OK

```json theme={null}
{
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "created_at": "string",
    "updated_at": "string",
    "organization_id": "string"
  }
}
```

### Response Fields

| Field            | Type   | Description                                         |
| ---------------- | ------ | --------------------------------------------------- |
| id               | string | Unique identifier for the knowledge base            |
| name             | string | Name of the knowledge base                          |
| description      | string | Description of the knowledge base                   |
| created\_at      | string | Timestamp when the knowledge base was created       |
| updated\_at      | string | Timestamp when the knowledge base was last updated  |
| organization\_id | string | ID of the organization that owns the knowledge base |

## Example

```bash theme={null}
curl -X GET 'https://api.kollie.ai/api/v1/knowledge-base/123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```


## OpenAPI

````yaml GET /api/v1/knowledge-base/{kb_id}
openapi: 3.1.0
info:
  title: kollie-backend
  version: v1
servers: []
security: []
paths:
  /api/v1/knowledge-base/{kb_id}:
    get:
      tags:
        - knowledge-base
      summary: Get Knowledge Base
      description: Get a specific knowledge base by ID.
      operationId: get_knowledge_base_api_v1_knowledge_base__kb_id__get
      parameters:
        - name: kb_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Kb Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````